Package io.vertx.rxjava3.ext.auth

## Class ChainAuth

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.rxjava3.ext.auth.ChainAuth

-     public class ChainAuth
      extends AuthenticationProvider

  Chain several authentication providers as if they were one. This is useful for cases where one want to authenticate across several providers, for example, database and fallback to passwd file.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ChainAuth>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChainAuth​(ChainAuth delegate)` |
    `ChainAuth​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ChainAuth` | `add​(AuthenticationProvider other)` | Appends a auth provider to the chain.
    `static ChainAuth` | `all()` | Create a Chainable Auth Provider auth provider that will resolve if all auth providers are successful.
    `static ChainAuth` | `any()` | Create a Chainable Auth Provider auth provider that will resolve on the first success.
    `boolean` | `equals​(Object o)` |
    `ChainAuth` | `getDelegate()` |
    `int` | `hashCode()` |
    `static ChainAuth` | `newInstance​(ChainAuth arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider

      `authenticate, newInstance, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ChainAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### ChainAuth

          public ChainAuth​(ChainAuth delegate)

    - #### ChainAuth

          public ChainAuth​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public ChainAuth getDelegate()

      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### all

          public static ChainAuth all()

      Create a Chainable Auth Provider auth provider that will resolve if all auth providers are successful.
      Returns:
        the auth provider

    - #### any

          public static ChainAuth any()

      Create a Chainable Auth Provider auth provider that will resolve on the first success.
      Returns:
        the auth provider

    - #### add

          public ChainAuth add​(AuthenticationProvider other)

      Appends a auth provider to the chain.
      Parameters:
        `other` - auth provider
      Returns:
        self

    - #### newInstance

          public static ChainAuth newInstance​(ChainAuth arg)